Jim Fulton wrote:

I was about to start working on integrating the new test runner
and was reminded that we need to integrate Zope differently than we did
for 2.8/3.0. Then, we took advantage of the fact that packages not included
in the Zope X3 3.0 release were trimmed from the corresponding branch.
This didn't happen for 3.1 and isn't going to happen moving forward.

For starters, I'm going to give Zope 2 it's own zope directory.
(I'm also going to use the pkgutil mechanism:


 which was added for us. :)

Then I'm going to use externals to get the packages we use,
initially from whatever tag z2 is using now.

OK, this is done.

Unfortunately, because svn:externals is half baked, you'll
need to remove your existing zope package before updating an
existing sandbox.


Jim Fulton           mailto:[EMAIL PROTECTED]       Python Powered!
CTO                  (540) 361-1714            http://www.python.org
Zope Corporation     http://www.zope.com       http://www.zope.org
Zope-Dev maillist  -  Zope-Dev@zope.org
**  No cross posts or HTML encoding!  **
(Related lists - http://mail.zope.org/mailman/listinfo/zope-announce
http://mail.zope.org/mailman/listinfo/zope )

Reply via email to